Screen an entity against adverse media
GEThttps://api.dilisense.com/v1/media/checkEntity
The checkEntity API method searches for entities that match certain criteria. All categories are returned, even if they contain 0 hits.
Request
Responses
- 200
Error responses are the same for all endpoints, see Errors.
Example
Request
curl --location --request GET 'https://api.dilisense.com/v1/media/checkEntity?search_all=Deutsche%20Bank' \
--header 'x-api-key: <api_key>'
Response: Categories only
With fetch_articles=false (default).
{
"timestamp": "2024-12-20T14:17:16.843Z",
"total_hits": 3508683,
"news_exposures": {
"violent_crime": {
"category": "violent_crime",
"hits": 28466
},
"terrorism": {
"category": "terrorism",
"hits": 796691
},
"regulatory": {
"category": "regulatory",
"hits": 984492
},
"financial_crime": {
"category": "financial_crime",
"hits": 26088
},
"political": {
"category": "political",
"hits": 1649400
},
"organized_crime": {
"category": "organized_crime",
"hits": 23546
}
}
}
Response: With articles
With fetch_articles=true.
{
"timestamp": "2024-11-11T14:22:07.447Z",
"total_hits": 126046,
"news_exposures": {
"regulatory": {
"category": "regulatory",
"hits": 126046,
"articles": [
{
"timestamp": "2025-04-06T01:10:53Z",
"id": "274534:3705",
"language": "en",
"headline": "Deutsche Bank Fined …",
"body": "<p>This hefty penalty …</p>",
"source_link": "https://www.example.com/news/274534"
}
]
}
}
}